From 0f743659da477860eeefdd2068fcee35ed6d831c Mon Sep 17 00:00:00 2001
From: Moritz Schubotz <wiki@physikerwelt.de>
Date: Sat, 17 Nov 2018 20:43:45 +0100
Subject: [PATCH] Fix logic error

---
 support/commitUp.sh | 1 +
 support/compile.sh  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/support/commitUp.sh b/support/commitUp.sh
index ae92e48..64a7c39 100755
--- a/support/commitUp.sh
+++ b/support/commitUp.sh
@@ -7,3 +7,4 @@ git config --global user.signingkey "1617C27854592471"
 git commit -S -m "Reformat bib file" gipp.bib
 git remote add http https://${GITHUB_TOKEN}@github.com/ag-gipp/bib.git
 git push http HEAD:$TRAVIS_BRANCH
+exit 1
diff --git a/support/compile.sh b/support/compile.sh
index 7e71362..71f2497 100755
--- a/support/compile.sh
+++ b/support/compile.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 biber --tool --configfile=src/biber/reformat.xml gipp.bib --validate-datamodel
-diff -w gipp.bib gipp_bibertool.bib || support/commitUp.sh && exit 1
+diff -w gipp.bib gipp_bibertool.bib || support/commitUp.sh
 cd src/tex
 latexmk
 cp allRefs.pdf ../../main.pdf
-- 
GitLab